--- Sources/ScrapTextView.m.orig	2024-12-14 15:41:57
+++ Sources/ScrapTextView.m	2024-12-18 13:13:11
@@ -30,9 +30,15 @@
 
 - (void)awakeFromNib
 {
-    if ([self respondsToSelector:@selector(setMathExpressionCompletionType:)])
-    {   if ([SUD integerForKey:MathExpressionCompletionKey] == 0)
-            [self setMathExpressionCompletionType: NSTextInputTraitTypeNo];
+  if (floor(NSAppKitVersionNumber) >= 2575.0)
+    {
+        if (([self respondsToSelector:@selector(setMathExpressionCompletionType:)]) &&
+            ([SUD integerForKey:MathExpressionCompletionKey] == 0))
+
+        {
+            if (@available(macOS 15.0, *))
+                [self setMathExpressionCompletionType: NSTextInputTraitTypeNo];
+        }
     }
 }
 
